var scriptName = "PigeonJump"; // The name of your script
var scriptVersion = 2.0; // The version of your script 
var scriptAuthor = "FastJump"; // The author of your script (eg. your username)

var AAC4hop = new AAC4hop();
var Client;

function AAC4hop() {
    this.getName = function() {
        return "PigeonJump";
    };

    this.getDescription = function() {
        return "JumpSpeed";
    };

    this.getCategory = function() {
        return "Misc";
    };
   
    this.onUpdate = function() {
        if(mc.thePlayer.moveForward > 0) {
            if(mc.thePlayer.onGround) {
	    			mc.thePlayer.jump();
                                mc.timer.timerSpeed = 1.7105;
            		        mc.thePlayer.motionX *= 2.1708;
	    			mc.thePlayer.motionZ *= 1.1708;
            }else if(mc.thePlayer.fallDistance > 0 && mc.thePlayer.fallDistance < 1){
	    			mc.timer.timerSpeed =1.12;
            }				
	}    		
            		
	
      	
    }
	    this.onDisable = function() {
			mc.timer.timerSpeed =1.0;
    }
}

function onLoad() {
    //i recommend you should setting timer 1.0
};

function onEnable() {
    exampleModuleClient = moduleManager.registerModule(AAC4hop);
};

function onDisable() {
    moduleManager.unregisterModule(Client);
    
};